## Creating issues

Please add the following information.
  * What do you want to achieve / What is the purpose?
  * Which version of EchoMavenPlugin are you using (if relevant)?
  * What is the configuration of EchoMavenPlugin (if relevant)?
  
### Error issues

  * What was the expected output?
  * What was the actual output?
  
### Enhancements issues

All suggestions are always taken into consideration. 

The ones that are implemented will take a little time, as this project is done during spare time. 

Some suggestions will be rejected. Common reasons for rejected issues:
  * The change is outside the scope of the plugin  (e.g. can be solved by another plugin)
  * The issuer does not reply to questions

The best way to provide a suggestion is to create a pull request

## Creating pull requests

Yes, please send me pull requests! They are the best! It shows that you are interested in spending your time for a feature, rather than just spending my time.

The following is likely to happen:
  * I will accept the new feature
  * I will make changes to your code to fit my mindset how the plugin works
  * You will make changes to your code to create the optimal feature
  * I will demand 100% test coverage for new code.
  * We will have conversations about the best design for the functionality and how to name things
  * Before the release, you will do the final acceptance tests for the feature. After all, you are customer
